require 'excon'
require 'json'

module FadssLite
  class Api
    def initialize(key)
      @connection =
        Excon.new(
          'https://api.fadss.jp',
          headers: {
            'X-Fadss-Key' => key,
            'Content-Type' => 'application/json'
          }
        )
    end

    def post_data(records)
      @connection.post(path: '/v1/original_data.json', body: { records: records }.to_json).body
    end
  end
end
